Subject: bug#53799: 27.1; Entered text sometimes appears on the preceding line

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Feb 2022 15:15:47 +0200

> From: Markus Triska <[email-masked]>
> Date: Sat, 05 Feb 2022 14:00:07 +0100
> 
> To reproduce this issue, please start Emacs with "$ emacs -Q",
> and do:
> 
>     M-x report-emacs-bug RET RET C-n
> 
> In the resulting buffer, point is now placed so that the cursor is shown
> on the letter "I" in the following text:
> 
>    "If Emacs crashed, and you have the Emacs process ..."
> 
> If you then type any letter with the intention of entering text on this
> line, it unexpectedly appears in the preceding line. For example, with
> point at the "I" of "If", when I enter "a", I get:
> 
>     a
>     If
> 
> whereas one would expect to obtain:
> 
>     aIf
> 
> This behaviour seems to only occur on this specific line, and therefore
> seems unusual.
> 
> This is only a very minor issue, yet still a bit surprising, especially
> since "I" remains highlighted the entire time, also if multiple
> characters are entered, all appearing on the preceding line, such as in:
> 
>     abcd
>     If

This text is shown as a 'display' property, so that the user couldn't
accidentally erase the instructions.  The 'display' property begins
with a newline, and that's what causes the above "surprising" effect.
The solution is not to use C-n, or overcome the surprise.

I think we don't need to do anything with this issue.